# For customisation by distributions.
%def_with sisyphus
%def_without junior
%def_without master

# Rename packages for different distributions.
%if_with junior
%define distr junior
%endif
%if_with master
%define distr master
%endif
%if_with sisyphus
%define distr sisyphus
%endif

Name: gnome
Version: 2.3.3
Release: alt1

Summary: GNOME 2 Desktop installers
License: GPL
Group: Graphical desktop/GNOME

BuildArch: noarch

# newest versions-releases required
## Core components
%define GConf_ver 2.3.3
%define scrollkeeper_ver 0.3.12
%define session_ver 2.3.3
%define desktop_ver 2.3.3
%define panel_ver 2.3.3.1
%define control_center_ver 2.3.3
%define gdm_ver 2.4.2.96
## Window managers
%define metacity_ver 2.5.2
%define sawfish_ver 2.0-alt3
## Applications
%define applets_ver 2.3.4
%define gswitchit_ver 2.0.1
%define utils_ver 2.3.2
%define media_ver 2.3.0
%define games_ver 2.3.2
%define nautilus_ver 2.3.6
%define eog_ver 2.3.3
%define ggv_ver 2.3.0
%define terminal_ver 2.2.2
%define gedit_ver 2.3.2
%define db_ver 0.8.192-alt3
%define gconf_editor_ver 0.4.0
%define file_roller_ver 2.0.3-alt2
%define nautilus_media_ver 0.3.0
%define gcalctool_ver 4.2.83
%define gucharmap_ver 0.8.0
## Default settings package
%define gnome_settings_ver 1.0-alt4
## Xscreensaver
%define xscreensaver_ver 4.06-alt2
## Engines, themes
%define icon_theme_ver 1.0.5
%define themes_ver 2.3.2.1
%define gtk_engines_cleanice_ver 1.1.6.2-alt1.4
%define gtk_engines_crux_ver 1.9.3-alt2.5
%define gtk_engines_default_ver 1.9.0-alt2.4
%define gtk_engines_flat_ver 2.0 alt1.4
%define gtk_engines_full_ver 2.1.0-alt0.8
%define gtk_engines_lighthouseblue_ver 0.4-alt1.4
%define gtk_engines_metal_ver 1.9.0-alt2.4
%define gtk_engines_mist_ver 0.8-alt1.4
%define gtk_engines_pixmap_ver 1.9.0-alt2.4
%define gtk_engines_redmond95_ver 1.9.0-alt2.4
%define gtk_engines_thinice_ver 2.0.1-alt1.4
%define gtk_engines_xfce_ver 2.0.8-alt1.4

# default window manage
%def_with metacity
#%%def_without sawfish

# Some definitions for different distributions
%if_with junior
%define default_gtk2_theme		gtk2-themes-bluebubble
%define default_gtk2_theme_name		bluebubble
%define default_wm_theme		metacity-themes-gorilla
%define default_wm_theme_name		AgingGorilla
%define default_nautilus_theme		nautilus2-themes-sierra
%define default_nautilus_theme_name	Sierra
%define more_gtk2_themes		gtk2-themes-water-luna
%define more_wm_themes			metacity-themes-metabox
%endif
%if_with master
%define default_gtk2_theme		gtk2-themes-fishing-the-sky
%define default_gtk2_theme_name		fishing-the-sky
%define default_wm_theme		metacity-themes-crux
%define default_wm_theme_name		Crux
%define default_nautilus_theme		nautilus2-themes-crux
%define default_nautilus_theme_name	Crux-Eggplant
%define more_gtk2_themes		gtk-engines-metal >= %gtk_engines_metal_ver
%define more_wm_themes			metacity-themes-metabox
%endif
%if_with sisyphus
%define default_gtk2_theme		gtk-engines-lighthouseblue >= %gtk_engines_lighthouseblue_ver
%define default_gtk2_theme_name		LighthouseBlue
%define default_wm_theme		metacity-themes-atlanta
%define default_wm_theme_name		Atlanta
%define default_nautilus_theme		nautilus2-themes-eazel
%define default_nautilus_theme_name	Eazel
%define more_gtk2_themes		gtk-engines-thinice >= %gtk_engines_thinice_ver, gtk-engines-default, gtk-engines-crux
%define more_wm_themes			metacity-themes-metabox
%endif

%define all_gtk2_themes		gtk2-themes, gtk-engines-full >= %gtk_engines_full_ver
%define all_wm_themes		metacity-themes-default

%description
A set of virtual packages for GNOME Desktop version 2 installation.

%package minimal-%distr
Summary: GNOME 2 Desktop minimal installer
Group: Graphical desktop/GNOME
PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver

# GNOME Desktop Core
Requires: gnome-session >= %session_ver
Requires: gnome-desktop >= %desktop_ver
Requires: gnome-panel >= %panel_ver
Requires: gnome-control-center >= %control_center_ver
Requires: gdm >= %gdm_ver
Requires: metacity >= %metacity_ver

# Panel applets
Requires: gnome-applets-battstat >= %applets_ver
Requires: gnome-applets-drivemount >= %applets_ver
Requires: gnome-applets-mini-commander >= %applets_ver
Requires: gnome-applets-modemlights >= %applets_ver
Requires: gnome-applets-multiload >= %applets_ver
Requires: gnome-applets-extra-gswitchit >= %gswitchit_ver

# GNOME Utilities
Requires: gnome2-utils-gfloppy >= %utils_ver
#Requires: gnome2-utils-gnome-calculator >= %utils_ver
Requires: gcalctool >= %gcalctool_ver
Requires: gnome2-utils-gnome-search-tool >= %utils_ver

# Applications
## Default file manager
Requires: nautilus2 >= %nautilus_ver
### Nautilus main components
Requires: nautilus2-adapter >= %nautilus_ver
Requires: nautilus2-history >= %nautilus_ver
Requires: nautilus2-notes >= %nautilus_ver
Requires: nautilus2-text-view >= %nautilus_ver
Requires: nautilus2-tree >= %nautilus_ver
Requires: nautilus2-throbber >= %nautilus_ver
Requires: nautilus2-image-properties >= %nautilus_ver
## Default terminal emulator
Requires: gnome-terminal >= %terminal_ver
## Default text editor
Requires: gedit >= %gedit_ver
## Default archiving tool
Requires: file-roller >= %file_roller_ver
## Default web-browser
#Requires: galeon2 >= %galeon_ver
## Default mailer
#Requires: evolution2 >= %evolution_ver
## Default image viewer
Requires: eog2 >= %eog_ver
## Default postscript viewer
%if_without junior
Requires: ggv2 >= %ggv_ver
%endif

# Look & Feel
## Default settings
Requires: gnome-settings >= %gnome_settings_ver
## Screensaver
Requires: xscreensaver-gnome >= %xscreensaver_ver
## Default themes
Requires: gnome-icon-theme >= %icon_theme_ver
Requires: gnome-themes-default >= %themes_ver
Requires: gtk-engines-default >= %gtk_engines_default_ver
Requires: %default_gtk2_theme

## Default wm theme
Requires: %default_wm_theme

## Default Nautilus theme
#Requires: %default_nautilus_theme

%description minimal-%distr
This virtual package installs GNOME Desktop with minimum components. It
installs only a few applets, some utilities and one graphical theme.
Doesn't installs games and media programs.

%package default-%distr
Summary: GNOME 2 Desktop installer for optimal user's requirments
Group: Graphical desktop/GNOME
Requires: gnome-minimal-%distr = %version-%release

# Panel applets
Requires: gnome-applets-cdplayer >= %applets_ver
Requires: gnome-applets-charpick >= %applets_ver
Requires: gnome-applets-gweather >= %applets_ver
Requires: gnome-applets-mixer >= %applets_ver

# GNOME Utilities
#Requires: gnome2-utils-gnome-character-map >= %utils_ver
Requires: gucharmap >= %gucharmap_ver
Requires: gnome2-utils-gdict-applet >= %utils_ver
Requires: gnome2-utils-gnome-dictionary >= %utils_ver

# Applications
## Nautilus additional components
Requires: nautilus2-hardware-view >= %nautilus_ver
Requires: nautilus2-media >= %nautilus_media_ver
## gnome-media
Requires: gnome2-media-cddbslave >= %media_ver
Requires: gnome2-media-gcdplayer >= %media_ver
Requires: gnome2-media-gmix >= %media_ver
## gnome-games
Requires: gnome2-games-sol >= %games_ver
Requires: gnome2-games-glines >= %games_ver
Requires: gnome2-games-mahjongg >= %games_ver

## An editor for the GConf configuration system.
Requires: gconf-editor

# Look & Feel
## Additional themes
Requires: %more_gtk2_themes

## Additional wm themes
Requires: %more_wm_themes

## Full set of default Nautilus themes.
#Requires: nautilus2-themes-default

%description default-%distr
This virtual package installs GNOME Desktop for optimal user's
requirments. It installs components from gnome-minimal package and some
games, media programs such as mixer and Cd-player, and additional
themes.

%package full-%distr
Summary: GNOME 2 Desktop full installer
Group: Graphical desktop/GNOME
Requires: gnome-default-%distr = %version-%release

# Full set of panel applets.
Requires: gnome-applets >= %applets_ver

# GNOME Utilities
## Full set of gnome utilities.
Requires: gnome2-utils >= %utils_ver

# Applications
## Full set of Nautilus components.
Requires: nautilus2-components
## Full set of gnome media programs.
Requires: gnome2-media >= %media_ver
## Full set of gnome games.
Requires: gnome2-games >= %games_ver
## GNOME database frontend
%if_without junior
# Requires: gnome2-db >= %db_ver
%endif
## Scientific calculator
Requires: galculator
# Look & Feel
## Additional themes
Requires: %all_gtk2_themes

## Additional wm themes
#Requires: %all_wm_themes

## Additional Nautilus themes.
#Requires:

%description full-%distr
This virtual package installs full GNOME Desktop.

%post minimal-%distr
%gconf2_set string /desktop/gnome/interface/gtk_theme %default_gtk2_theme_name
%gconf2_set string /apps/metacity/general/theme	%default_wm_theme_name
#%%gconf2_set string /apps/nautilus/preferences/theme %default_nautilus_theme_name

%files minimal-%distr
%files default-%distr
%files full-%distr

%changelog
* Sat Jun 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- doesn't require newest ugly terminal.

* Sun May 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- gnome2-utils-{calculator,character-map} replaced
  by gcalctool and gucharmap respectively.
- gnome2-games-freecell replaced by gnome2-games-sol

* Fri Feb 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2
- Requirements updated.
- gswitchit go back.

* Thu Feb  6 2003 Stanislav Ievlev <inger@altlinux.ru> 2.2.0-alt1.1
- removed requires gnome-applets-extra-gswitchit
  Yuri, please stop unmets, I cannot build distribution

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- Requirements updated.
- more themes for gnome-default.
- gnome-degault requires nautilus-media.
- gnome-full requires galculator.

* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- Requirements updated.

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.6
- gnome-minimal requires xscreensaver-gnome, gnome-settings

* Sat Nov 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.5
- s/gnome-applets-gswitchit/gnome-applets-extra-gswitchit/
- Removed obsoleted nautilus components.

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.4
- Requirements updated.
- gnome2-utils-archive-generator replaced by file-roller.
- gnome-applets-gkb replaced by gnome-applets-gswitchit.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.3
- Removed obsoleted nautilus2-music-view component.
- Requirements updated.

* Thu Oct 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.2
- Updated dependencies.

* Thu Oct 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.1
- First test release.
